#
# release.py - database model for releases
#
# Copyright 2012, Red Hat, Inc
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
#
# Authors:
#   Tim Flink <tflink@redhat.com>
from blockerbugs import db
from datetime import datetime


class Release(db.Model):
    id = db.Column(db.Integer, primary_key=True)
    number = db.Column(db.Integer)
    active = db.Column(db.Boolean)
    last_update_sync = db.Column(db.DateTime)

    def __init__(self, number, active=True):
        self.number = number
        self.active = active
        # initialize last_update_time so there's at least something there
        self.last_update_sync = datetime(1990, 1, 1, 1, 0, 0, 0)

    def __str__(self):
        return 'release: %d' % (self.number)
