"""Added build table

Revision ID: 1162fb4d4358
Revises: 1d12b74d12bd
Create Date: 2013-08-16 02:59:28.150292

"""

# revision identifiers, used by Alembic.
revision = '1162fb4d4358'
down_revision = '1d12b74d12bd'

from alembic import op
import sqlalchemy as sa


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.create_table('build',
    sa.Column('koji_id', sa.Integer(), nullable=False),
    sa.Column('pkg_name', sa.Text(), nullable=True),
    sa.Column('version', sa.Text(), nullable=True),
    sa.Column('release', sa.Text(), nullable=True),
    sa.Column('nvr', sa.Text(), nullable=True),
    sa.Column('epoch', sa.Integer(), nullable=True),
    sa.PrimaryKeyConstraint('koji_id'),
    sa.UniqueConstraint('nvr'),
    sa.UniqueConstraint('pkg_name','version','release', name='build_pkg_ver_rel')
    )
    op.create_table('build_spins',
    sa.Column('spin_id', sa.Integer(), nullable=True),
    sa.Column('build_id', sa.Integer(), nullable=True),
    sa.ForeignKeyConstraint(['build_id'], ['build.koji_id'], ),
    sa.ForeignKeyConstraint(['spin_id'], ['spin.id'], ),
    sa.PrimaryKeyConstraint()
    )
    ### end Alembic commands ###


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('build_spins')
    op.drop_table('build')
    ### end Alembic commands ###
